package com.qmth.themis.business.enums;

import java.util.Objects;

/**
 * @Description: 附件enum
 * @Param:
 * @return:
 * @Author: wangliang
 * @Date: 2020/4/18
 */
public enum AttachmentEnum {
    /**
     * 用户名
     */
    loginName("用户名"),
    /**
     * 姓名
     */
    name("姓名"),
    /**
     * 角色编码
     */
    roleCode("角色编码"),
    /**
     * 角色名称
     */
    roleName("角色名称"),
    /**
     * 科目编码
     */
    courseCode("科目编码"),

    /**
     * 科目名称
     */
    courseName("科目名称"),

    /**
     * 场次开始时间
     */
    startTime("场次开始时间"),

    /**
     * 场次结束时间
     */
    endTime("场次结束时间"),

    /**
     * 场次名称
     */
    sceneNumberName("场次名称"),

    /**
     * 场次id
     */
    sceneNumberId("场次ID"),

    /**
     * 考点名称
     */
    examSite("考点名称"),

    /**
     * 考场名称
     */
    examRoom("考场名称"),

    /**
     * 考场id
     */
    examRoomId("考场ID"),

    /**
     * 学号
     */
    studentCode("学号"),

    gender("性别"),

    cardId("身份证号"),

    examNumber("考号"),

    siteNumber("座位号"),

    extendColumn("扩展字段");

    private String code;

    private AttachmentEnum(String code) {
        this.code = code;
    }

    /**
     * 状态转换 toName
     *
     * @param value
     * @return
     */
    public static String convertToName(String value) {
        if (Objects.equals(value.trim(), loginName.code)) {
            return loginName.name();
        } else if (Objects.equals(value.trim(), name.code)) {
            return name.name();
        } else if (Objects.equals(value.trim(), roleCode.code)) {
            return roleCode.name();
        } else if (Objects.equals(value.trim(), roleName.code)) {
            return roleName.name();
        } else if (Objects.equals(value.trim(), courseCode.code)) {
            return courseCode.name();
        } else if (Objects.equals(value.trim(), startTime.code)) {
            return startTime.name();
        } else if (Objects.equals(value.trim(), endTime.code)) {
            return endTime.name();
        } else if (Objects.equals(value.trim(), sceneNumberName.code)) {
            return sceneNumberName.name();
        } else if (Objects.equals(value.trim(), sceneNumberId.code)) {
            return sceneNumberId.name();
        } else if (Objects.equals(value.trim(), examSite.code)) {
            return examSite.name();
        } else if (Objects.equals(value.trim(), examRoom.code)) {
            return examRoom.name();
        } else if (Objects.equals(value.trim(), examRoomId.code)) {
            return examRoomId.name();
        } else if (Objects.equals(value.trim(), studentCode.code)) {
            return studentCode.name();
        } else if (Objects.equals(value.trim(), courseName.code)) {
            return courseName.name();
        } else if (Objects.equals(value.trim(), gender.code)) {
            return gender.name();
        } else if (Objects.equals(value.trim(), cardId.code)) {
            return cardId.name();
        } else if (Objects.equals(value.trim(), examNumber.code)) {
            return examNumber.name();
        } else if (Objects.equals(value.trim(), siteNumber.code)) {
            return siteNumber.name();
        } else {
            return extendColumn.name();
        }
    }

    /**
     * 状态转换 toCode
     *
     * @param value
     * @return
     */
    public static String convertToCode(String value) {
        if (Objects.equals(value.trim(), loginName.name())) {
            return loginName.code;
        } else if (Objects.equals(value.trim(), name.name())) {
            return name.code;
        } else if (Objects.equals(value.trim(), roleCode.name())) {
            return roleCode.code;
        } else if (Objects.equals(value.trim(), roleName.name())) {
            return roleName.code;
        } else if (Objects.equals(value.trim(), courseCode.name())) {
            return courseCode.code;
        } else if (Objects.equals(value.trim(), startTime.name())) {
            return startTime.code;
        } else if (Objects.equals(value.trim(), endTime.name())) {
            return endTime.code;
        } else if (Objects.equals(value.trim(), sceneNumberName.name())) {
            return sceneNumberName.code;
        } else if (Objects.equals(value.trim(), sceneNumberId.name())) {
            return sceneNumberId.code;
        } else if (Objects.equals(value.trim(), examSite.name())) {
            return examSite.code;
        } else if (Objects.equals(value.trim(), examRoom.name())) {
            return examRoom.code;
        } else if (Objects.equals(value.trim(), examRoomId.name())) {
            return examRoomId.code;
        } else if (Objects.equals(value.trim(), studentCode.name())) {
            return studentCode.code;
        } else if (Objects.equals(value.trim(), courseName.name())) {
            return courseName.code;
        } else if (Objects.equals(value.trim(), gender.name())) {
            return gender.code;
        } else if (Objects.equals(value.trim(), cardId.name())) {
            return cardId.code;
        } else if (Objects.equals(value.trim(), examNumber.name())) {
            return examNumber.code;
        } else if (Objects.equals(value.trim(), siteNumber.name())) {
            return siteNumber.code;
        } else {
            return extendColumn.code;
        }
    }

    public String getCode() {
        return code;
    }
}
